/*
 * logging.c
 *
 * (shouldn't there be some kind of boilerplate here?)
 *
 * Implementation of the logging subsystem of the SNG/LDA
 *
 * Direct questions to Greg Kroah-Hartman <ghartman@us.ibm.com>
 * 
 */


#include <stdarg.h>
#include <syslog.h>
#include "logging.h"

#include <stdio.h>

/**
 * log_message - sends a message to the logging facility
 */
int log_message (int level, const char *format, ...)
{
	/*
	 * Hmm, if you think this looks a lot like a syslog(3) passthrough,
	 * you're right!
	 * Someday, someone from the RMC group will get back to me and then
	 * this function will call into that subsystem.
	 * But for now, we send everything to the syslog (which isn't so bad,
	 * as lots of other parts of the NAS do the same thing, look at GPFS :)
	 */
	va_list	args;

	va_start (args, format);
	vsyslog (level, format, args);
	va_end (args);
	return 1;
}

