/*
 * main.c for pcihpview - a pci hotplug viewing program
 *
 * Copyright (c) 2001 Greg Kroah-Hartman <greg@kroah.com>
 * Copyright (c) 2001 IBM Corp.
 *
 *	based on code from usbview which is Copyright (c) 1999, 2000 by
 *	Greg Kroah-Hartman, <greg@kroah.com>
 *
 *	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License as
 *	published by the Free Software Foundation; either version 2 of
 *	the License, or (at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public
 *	License along with this program; if not, write to the Free
 *	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 *	USA.
 *	(See the included file COPYING)
 */

#ifdef HAVE_CONFIG_H
	#include <config.h>
#endif

#include <gtk/gtk.h>
#include <stdio.h>

#include "logging.h"
#include "interface.h"
#include "support.h"
#include "slot.h"

int main (int argc, char *argv[])
{
	GtkWidget *window_main;
	int retval;

	if (argc <= 1) {
		fprintf (stderr, "need directory name\n");
		return 1;
	}

	gtk_set_locale ();
	gtk_init (&argc, &argv);

	window_main = create_main_window ();
	gtk_widget_show (window_main);

	retval = slot_set_mount (argv[1]);
	if (retval) {
		fprintf (stderr, "error setting slot mount\n");
		return 1;
	}
	retval = slot_read_all ();
	if (retval) {
		fprintf (stderr, "error reading directory\n");
		return 1;
	}

	openlog (PACKAGE, 0, LOG_USER);
	dbg ("starting up at mount point %s\n", argv[1]);

	gtk_display_slots ();
	gtk_main ();

	dbg ("shutting down\n");
	closelog ();
	return 0;
}

